
QGIS Application - Bug report #10778

Crashes on zoom in-out

2014-07-02 06:11 AM - Per Gammerath

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:2.4.0 Regression?: No

Operating System: Windows 7 pro 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 19159

Description

QGIS crashes when I zoom in and out in a fast motion. I have enabled multicore rendering.

History

#1 - 2014-07-02 06:17 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

does the project includes CSV files added as points layers?

can you attach a sample project/data?

#2 - 2014-07-03 12:44 AM - Per Gammerath

It does not include any CSV files. I'm not sure if I can attach the project/data as the size reaches 92MB. QGIS only crashes when I stress it. If I navigate the

canvas in a moderate fashion, it works very well.

#3 - 2014-07-03 01:58 AM - Giovanni Manghi

Per Gammerath wrote:

It does not include any CSV files. I'm not sure if I can attach the project/data as the size reaches 92MB. QGIS only crashes when I stress it. If I

navigate the canvas in a moderate fashion, it works very well.

a project and data (even sent privately) would be very useful to try replicate the issue and get the error message that can lead to the source of the problem.

#4 - 2014-07-03 02:55 AM - Per Gammerath

I just tried with the Alaska sample dataset, and I could easily make it crash too by zooming violently. So I'm quite sure it's about the data size and not the

layer properties or so.

#5 - 2014-07-03 03:02 AM - Giovanni Manghi
Per Gammerath wrote:

I just tried with the Alaska sample dataset, and I could easily make it crash too by zooming violently. So I'm quite sure it's about the data size and

not the layer properties or so.

can you please attach a project based on the alaska sample dataset (relative paths)? thanks.

#6 - 2014-07-03 07:00 AM - Per Gammerath

I didn't save the project. I just started a new project and added all the Alaska shapes. Like I said, I'm sure it will crash with any project that contains large

datasets. I tried loading one shapefile at a time, and the more shapefiles I loaded, the more likely QGIS would crash.

#7 - 2014-07-07 04:52 PM - Matthew Bush

I'm having a similar issue on Fedora 20 x64, running QGIS 2.4.0. The project I'm working with does have csv files with WKT geometry, both points and

lines.

When I run qgis from the console, zooming around quickly results in the message:

QGIS died on signal 11

(which I believe indicates a segfault)

And then QGIS is totally unresponsive until I kill it with signal 15. At one point it also froze my entire system.

Are issues like this serious enough to merit a point release?

#8 - 2014-07-08 02:26 AM - Giovanni Manghi

Matthew Bush wrote:

I'm having a similar issue on Fedora 20 x64, running QGIS 2.4.0. The project I'm working with does have csv files with WKT geometry, both points

and lines.

see #10744

what about if you remove the CSV files?

#9 - 2014-07-08 02:35 PM - Matthew Bush

If I remove the CSV files, then there's nothing left except google maps from the openlayers plugin.

I created a new project and zoomed around trying to break it. When I had several layers, each either in shp format or coming from the openlayers plugin,

everything worked fine. One of the shp layers contained point geometry information. I added a CSV file with WKT line geometry information, and everything

still worked. Once I added another CSV file with WKT point geometry information, I was able to get qgis to crash (hangs on signal 11) in less than a

minute.
#10 - 2014-07-08 02:45 PM - Giovanni Manghi

Matthew Bush wrote:

If I remove the CSV files, then there's nothing left except google maps from the openlayers plugin.

I created a new project and zoomed around trying to break it. When I had several layers, each either in shp format or coming from the openlayers

plugin, everything worked fine. One of the shp layers contained point geometry information. I added a CSV file with WKT line geometry information,

and everything still worked. Once I added another CSV file with WKT point geometry information, I was able to get qgis to crash (hangs on signal

11) in less than a minute.

so your case seems to fit #10744

#11 - 2014-07-08 05:44 PM - Matthew Bush

Giovanni Manghi wrote:

so your case seems to fit #10744

Mostly. It may still be related to the file size of the project, as the CSV layers I was working with were significantly larger than the SHP layers.

This is a large enough bug to prevent my organization from upgrading to 2.4, despite the huge benefit of multithreaded rendering. Assuming that it does

get fixed, how is said fix likely to be released? As a point release? Or should we plan on using a 2.5 daily?

#12 - 2014-07-09 12:36 AM - Alessandro Ciali

Have you tried to reduce the number of max core to use in multithreaded rendering (rendering tab on option window)? I have experienced frequent hangs

(no CSV layer involved) using multicore rendering, but the problem seems to be resolved using only 2 core for multithreaded rendering.

#13 - 2014-07-09 02:32 AM - Per Gammerath

Alessandro Ciali wrote:

Have you tried to reduce the number of max core to use in multithreaded rendering (rendering tab on option window)? I have experienced frequent

hangs (no CSV layer involved) using multicore rendering, but the problem seems to be resolved using only 2 core for multithreaded rendering.

I can confirm, that QGIS definitely becomes stable when rendering is limited to 2 cores.

#14 - 2014-07-09 09:04 AM - Giovanni Manghi

Matthew Bush wrote:

Mostly. It may still be related to the file size of the project, as the CSV layers I was working with were significantly larger than the SHP layers.

do you still get crashes if disabling the "renders layers in parallel using many CPS cores" option or at least choosing a low number of cores to use?
This is a large enough bug to prevent my organization from upgrading to 2.4, despite the huge benefit of multithreaded rendering. Assuming that it

does get fixed, how is said fix likely to be released? As a point release? Or should we plan on using a 2.5 daily?

I guess (from what I have read in  threads in the dev mailing list) that is also a matter of resources, if someone is willingly to invest then dot

releases/backports may be possible.

#15 - 2014-07-09 11:32 AM - Etienne Tourigny

You mention openlayers plugin, if you remove the openlayers plugin and use max# or cores does the crash happen?  The openlayers plugin does not work

well with qgis 2.4, this is a frequently reported problem.

#16 - 2014-07-09 11:34 AM - Giovanni Manghi

Etienne Tourigny wrote:

You mention openlayers plugin, if you remove the openlayers plugin and use max# or cores does the crash happen?  The openlayers plugin does

not work well with qgis 2.4, this is a frequently reported problem.

there are anyway also crashes without OL layers and with MTR on, like in #10744

#17 - 2014-07-09 01:16 PM - Matthew Bush

- File la_wkt_bad_links.qgs added

Etienne Tourigny wrote:

You mention openlayers plugin, if you remove the openlayers plugin and use max# or cores does the crash happen?  The openlayers plugin does

not work well with qgis 2.4, this is a frequently reported problem.

I did update the openlayers plugin to the latest version, which made a significant improvement, but that was before the crashes in question.

I just set max cores to 2, and tried opening a saved project from 2.0.1, and it wasn't even able to completely load the project before segfaulting. That

project did have openlayers in it, although they didn't show up in 2.4. I can upload the project file, but not the data, since it's proprietary/owned by my

employer.

#18 - 2014-07-09 01:24 PM - Matthew Bush

I still get segfaults with max_cores=2, when I have multiple CSV layers, one of which contains point geometry.  It worked fine with three layers, all lines

(size 321MB, 12MB, 686KB), but once I added the fourth layer, with points, (size 63MB) it crashed.

This time I created the project from scratch in 2.4, and didn't use openlayers.

edit: added file sizes

#19 - 2014-07-17 04:45 AM - Giovanni Manghi
please try again on qgis master, the problem about CSV files has been solved and it may have solved also the one reported here.

#20 - 2014-07-28 04:59 PM - Matthew Bush

I've compiled the release_2_4 branch from source, and this is resolved for me.

When is this likely to make it into the binary installers?

#21 - 2014-07-28 05:00 PM - Matthew Bush

- % Done changed from 0 to 100

#22 - 2014-07-30 08:35 AM - Giovanni Manghi

can the original reporter leave feedback if a test on qgis master has been done? thanks!

#23 - 2014-10-06 11:54 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Closing for lack of feedback.

Files

la_wkt_bad_links.qgs 52.6 KB 2014-07-09 Matthew Bush
